Bug 1686604 - manifest upload duplicate key value violates unique constraint
Summary: manifest upload duplicate key value violates unique constraint
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: Justin Sherrill
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-07 19:57 UTC by Lai
Modified: 2019-10-07 17:18 UTC (History)
3 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.35-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1698521 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:40:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:32 UTC
Foreman Issue Tracker 26412 None None None 2019-03-19 17:04:24 UTC

Comment 5 Justin Sherrill 2019-03-19 17:04:23 UTC
Created redmine issue https://projects.theforeman.org/issues/26412 from this bug

Comment 6 Justin Sherrill 2019-03-19 18:02:23 UTC
If anyone is open to testing the upstream pr: https://github.com/Katello/katello/pull/8034

it would be very helpful,  its hard to reproduce as a race condition

Comment 7 Bryan Kearney 2019-03-28 14:03:20 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26412 has been resolved.

Comment 9 jcallaha 2019-04-02 20:31:27 UTC
Verified in Satellite 6.5.0 Snap 22

Based on our latest automation run (this was an automation-identified bug), this issue is no longer being triggered.

Comment 12 errata-xmlrpc 2019-05-14 12:40:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.